#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "charge2one4xi.py">
#<abstract4xi abstract = "charges to direction one"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
#<verify4xi verification = "11" target = "sphere4xi.py"/>
#<contextualize4xi context = "verb4xi.py"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'charge2one4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread   
try:
    import _winapi
except:
    pass    
import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from dummyprocess4xi import DummyProcess4Xi

from fire2one4xi import fire2one4xi

from fire10one4xi import fire10one4xi
from fire100one4xi import fire100one4xi
from fire200one4xi import fire200one4xi
from fire300one4xi import fire300one4xi
from fire400one4xi import fire400one4xi
from fire500one4xi import fire500one4xi
from fire600one4xi import fire600one4xi
from fire700one4xi import fire700one4xi
from fire800one4xi import fire800one4xi
from fire900one4xi import fire900one4xi
from fire1000one4xi import fire1000one4xi
from fire1100one4xi import fire1100one4xi
from fire1200one4xi import fire1200one4xi
from fire1300one4xi import fire1300one4xi
from fire1400one4xi import fire1400one4xi
from fire1500one4xi import fire1500one4xi
from fire1600one4xi import fire1600one4xi
from fire1700one4xi import fire1700one4xi
from fire1800one4xi import fire1800one4xi
from fire1900one4xi import fire1900one4xi
from fire2000one4xi import fire2000one4xi
from fire2100one4xi import fire2100one4xi
from fire2200one4xi import fire2200one4xi
from fire2300one4xi import fire2300one4xi
from fire2400one4xi import fire2400one4xi
from fire2500one4xi import fire2500one4xi
from fire2600one4xi import fire2600one4xi
from fire2700one4xi import fire2700one4xi
from fire2800one4xi import fire2800one4xi
from fire2900one4xi import fire2900one4xi
from fire3000one4xi import fire3000one4xi
from fire3100one4xi import fire3100one4xi
from fire3200one4xi import fire3200one4xi
from fire3300one4xi import fire3300one4xi


from time4xi import time4xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = True
      
#"
#"/>
    
             
# -----------------------------------------------------------------------------------------------------
#<function4xi function = "charge2one4xi" usage = "
#   charges for direction ONE
#   commands and control via queue and pipe
#"> 
# -----------------------------------------------------------------------------------------------------
       
def charge2one4xi(queue2work, channel2consume, channel2publish):
    '''
    charges for direction ONE
    '''    
    
    # ---------------------------------------------------------------------------------------------    
    #
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print('=' *33)
        print("(STEP 1/33) OF CHARGE2ONE4XI, START TIME: ", time4xi())   
        print('=' *33)
        # 5168: 07:41:53 02/04/13 Pacific Standard Time 
    
    # ---------------------------------------------------------------------------------------------    
    # QUEUE
    # ---------------------------------------------------------------------------------------------     

    queue2work4one = queue2work
    
    if ack2debug is True:
        print('~' *33)
        print("(STEP 2/33) OF CHARGE2ONE4XI, QUEUE2WORK4ONE: ", queue2work4one)
        print('~' *33)
        # 5171: <queue4xi.Queue4Xi object at 0x0000000004FD1400> 
    
    # ---------------------------------------------------------------------------------------------    
    # NAMED PIPE
    # ---------------------------------------------------------------------------------------------     
    channel2consume4one = channel2consume
    if ack2debug is True:    
        print('~' *33)
        print("(STEP 3/33) OF CHARGE2ONE4XI, CHANNEL2CONSUME4ONE: ", channel2consume4one)
        print('~' *33)
        # 5174: <pipeconnection4xi.PipeConnection4Xi object at 0x0000000005112A58>
    
    # ---------------------------------------------------------------------------------------------    
    # NAMED PIPE
    # ---------------------------------------------------------------------------------------------     
    channel2publish4one = channel2publish
    if ack2debug is True:    
        print('~' *33)
        print("(STEP 4/33) OF CHARGE2ONE4XI, CHANNEL2PUBLISH4ONE: ", channel2publish4one)
        print('~' *33)
        # 5177: <pipeconnection4xi.PipeConnection4Xi object at 0x0000000005112D30>
        
    
    # ---------------------------------------------------------------------------------------------    
    # GETTING FROM QUEUE
    # --------------------------------------------------------------------------------------------- 
        
    try:
        message2qet4one = queue2work4one.get()
        if ack2debug is True:
            print("(STEP 5A/33) OF CHARGE2ONE4XI - MESSAGE2QET4ONE GOT: ", message2qet4one) 
            # 5227: <copy4xi>copy2one</copy4xi>
        
        if message2qet4one == "<copy4xi>copy2one</copy4xi>":
            message2put4one = "<roger4xi>roger2one</roger4xi>"
            if ack2debug is True:
                print("(STEP 5B/33) OF CHARGE2ONE4XI - SET MESSAGE2PUT4ONE TO: ", message2put4one) 
                # 5228: <roger4xi>roger2one</roger4xi>
        else:
            if ack2debug is True:
                print("(STEP 5c/33) OF CHARGE2ONE4XI - *** UNREGONIZED MESSAGE GOT: ", message2qet4one)           
            message2put4one = "<negative4xi>negative2one</negative4xi>"
            if ack2debug is True:
                print("(STEP 5d/33) OF CHARGE2ONE4XI - SET MESSAGE2PUT4ONE TO: ", message2put4one)             
    except:
        message2put4one = "<negative4xi>negative2one</negative4xi>"
    
    
    # ---------------------------------------------------------------------------------------------    
    # PUTTING TO QUEUE
    # --------------------------------------------------------------------------------------------- 
    if ack2debug is True:
        print("(STEP 6A/33) OF CHARGE2ONE4XI - TRYING TO PUT MESSAGE2PUT4ONE: ", message2put4one)
        # 5229: <roger4xi>roger2one</roger4xi>                              
    try:         
        queue2work4one.put(message2put4one) 
        if ack2debug is True:
            print('~' *33)
            print("(STEP 6B/33) OF CHARGE2ONE4XI - PUT TO QUEUE2WORK4ONE: ", queue2work4one, ' MESSAGE2PUT4ONE: ', message2put4one)
            print('~' *33)
            # 5279: PUT TO QUEUE2WORK4ONE:  <queue4xi.Queue4Xi object at 0x0000000004FD1400>  MESSAGE2PUT4ONE:  <roger4xi>roger2one</roger4xi>
        
    except:
        print("(STEP 6c/33) OF CHARGE2ONE4XI *** FAILED TO PUT TO QUEUE2WORK4ONE: ", queue2work4one, ' MESSAGE2PUT4ONE: ', message2put4one)
                   
    # ---------------------------------------------------------------------------------------------    
    # RECEIVING FROM PIPE CONSUMER CHANNEL
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print("(STEP 7A/33) OF CHARGE2ONE4XI - TRYING TO RECEIVE FROM CHANNEL2CONSUME4ONE: ", channel2consume4one)
        # 5281: <pipeconnection4xi.PipeConnection4Xi object at 0x0000000005112A58>
    try:
        message2receive4one = channel2consume4one.recv()
        if ack2debug is True:        
            print("(STEP 7B/33) OF CHARGE2ONE4XI - RECEIVED MESSAGE2RECEIVE4ONE: ", message2receive4one)
            # 5312: <copy4xi>copy2one</copy4xi>
        
        if message2receive4one == "<copy4xi>copy2one</copy4xi>":
            message2send4one = "<roger4xi>roger2one</roger4xi>"
            if ack2debug is True:
                print("(STEP 7C/33) OF CHARGE2ONE4XI - SET MESSAGE2SEND4ONE: ", message2send4one)
                # 5313: <roger4xi>roger2one</roger4xi>
        else:
            message2send4one = "<negative4xi>negative2one</negative4xi>"
            if ack2debug is True:
                print("(STEP 7D/33) OF CHARGE2ONE4XI - SET MESSAGE2SEND4ONE: ", message2send4one)        
    except:
        if ack2debug is True:
            print("(STEP 7E/33) OF CHARGE2ONE4XI - *** EXCEPTION WITH CHANNEL2CONSUME4ONE.RECV: ", channel2consume4one.recv) 
        message2send4one = "<negative4xi>negative2one</negative4xi>"
        if ack2debug is True:
            print("(STEP 7F/33) OF CHARGE2ONE4XI - SET MESSAGE2SEND4ONE: ", message2send4one)       
            

    # ---------------------------------------------------------------------------------------------
    # SEND DATA TO THE PIPE'S PUBLISHER CHANNEL 
    # ---------------------------------------------------------------------------------------------
    if ack2debug is True:
        print("(STEP 8A/33) OF CHARGE2ONE4XI - TRYING TO SEND DATA TO CHANNEL2PUBLISHER4ONE: ", channel2publish4one)
        # 5314: <pipeconnection4xi.PipeConnection4Xi object at 0x0000000005112D30>
    try:         
        channel2publish4one.send(message2send4one)
        if ack2debug is True:
            print("(STEP 8B/33) OF CHARGE2ONE4XI - SENT MESSAGE2SEND4ONE: ", message2send4one, " CHANNEL2PUBLISHER4ONE: ", channel2publish4one)
            # 5315: <roger4xi>roger2one</roger4xi>  CHANNEL2PUBLISHER4ONE:  <pipeconnection4xi.PipeConnection4Xi object at 0x0000000005112D30>
    except:
        print("(STEP 8C/33) OF CHARGE2ONE4XI - *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " CHANNEL2PUBLISHER4ONE: ", channel2publish4one) 


    # -----------------------------------------------------------------------------------------    
    # USING THE DUMMY PROCESS TO CHARGE - THIS APPROACH TRIES FASTER RETURN TO MAINPROCESS4XI  
    # -----------------------------------------------------------------------------------------      
    if ack2debug is True:
        print("(STEP 9A/33) OF CHARGE2ONE4XI - CREATING A DUMMY PROCESS4XI")  
        # 5316
    
    # -----------------------------------------------------------------------------------------    
    # MAIN DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2one = DummyProcess4Xi(target=fire2one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 9B/33) OF CHARGE2ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2ONE: ", dummy2one)
            # 5317: <DummyProcess4Xi(Thread-1, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 9C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # MAIN DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 9D/33) OF CHARGE2ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi()) 
            # 5318: 07:41:53 02/04/13 Pacific Standard Time
             
        ack2start = False
        try:      
            dummy2one.start() 
            if ack2debug is True:
                print("(STEP 9E/33) OF CHARGE2ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2ONE: ", dummy2one)
                # 5367: <DummyProcess4Xi(Thread-1, started 4852)>
            
            ack2start = True
        except:
            print("(STEP 9F/33) OF CHARGE2ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 9G/33) OF CHARGE2ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False
        
# ====  
# [10]
# ==== 
   
    # -----------------------------------------------------------------------------------------    
    # 10 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy10one = DummyProcess4Xi(target=fire10one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 10B/33) OF CHARGE2ONE4XI - CREATED 10 DUMMY_PROCESS4XI OBJECT DUMMY10ONE: ", dummy10one)
            # 5383: <DummyProcess4Xi(Thread-2, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 10C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 10 DUMMY_PROCESS4XI OBJECT DUMMY10ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 10 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 10D/33) OF CHARGE2ONE4XI - STARTING 10 DUMMY PROCESS4XI TIME: ", time4xi()) 
            # 5384: 07:41:53 02/04/13 Pacific Standard Time
             
        ack2start = False
        try:      
            dummy10one.start() 
            if ack2debug is True:
                print("(STEP 10E/33) OF CHARGE2ONE4XI - STARTED 10 DUMMY PROCESS4XI DUMMY10ONE: ", dummy10one)
                # 5433: <DummyProcess4Xi(Thread-2, stopped 1820)>
            
            ack2start = True
        except:
            print("(STEP 10F/33) OF CHARGE2ONE4XI *** FAILED TO START 10 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 10G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 10 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False                             

        
# =====  
# [100]
# ===== 
       
    # -----------------------------------------------------------------------------------------    
    # 100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy100one = DummyProcess4Xi(target=fire100one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 100B/33) OF CHARGE2ONE4XI - CREATED 100 DUMMY_PROCESS4XI OBJECT DUMMY100ONE: ", dummy100one)
            # 5443: CREATED DUMMY_PROCESS4XI OBJECT DUMMY100ONE:  <DummyProcess4Xi(Thread-3, initial)> 
        
        ack2dummy = True
    except:
        print("(STEP 100C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 100 DUMMY_PROCESS4XI OBJECT DUMMY100ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 100D/33) OF CHARGE2ONE4XI - STARTING 100 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy100one.start() 
            if ack2debug is True:
                print("(STEP 100E/33) OF CHARGE2ONE4XI - STARTED 100 DUMMY PROCESS4XI DUMMY100ONE: ", dummy100one)
                # <DummyProcess4Xi(Thread-3, started 3176)>
            
            ack2start = True
        except:
            print("(STEP 100F/33) OF CHARGE2ONE4XI *** FAILED TO START 100 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 100G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 100 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      

        
# =====  
# [200]
# ===== 
         
    # -----------------------------------------------------------------------------------------    
    # 200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy200one = DummyProcess4Xi(target=fire200one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 200B/33) OF CHARGE2ONE4XI - CREATED 200 DUMMY_PROCESS4XI OBJECT DUMMY200ONE: ", dummy200one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 200C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 200 DUMMY_PROCESS4XI OBJECT DUMMY200ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 200D/33) OF CHARGE2ONE4XI - STARTING  DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy200one.start() 
            if ack2debug is True:
                print("(STEP 200E/33) OF CHARGE2ONE4XI - STARTED 200 DUMMY PROCESS4XI DUMMY200ONE: ", dummy200one)
                # STARTED THE DUMMY PROCESS4XI DUMMY200ONE:  <DummyProcess4Xi(Thread-4, started 2748)>                
            
            ack2start = True
        except:
            print("(STEP 200F/33) OF CHARGE2ONE4XI *** FAILED TO START 200 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 200G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 200 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [300]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy300one = DummyProcess4Xi(target=fire300one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 300B/33) OF CHARGE2ONE4XI - CREATED 300 DUMMY_PROCESS4XI OBJECT DUMMY300ONE: ", dummy300one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 300C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE  DUMMY_PROCESS4XI OBJECT DUMMY300ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 300D/33) OF CHARGE2ONE4XI - STARTING 300 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy300one.start() 
            if ack2debug is True:
                print("(STEP 300E/33) OF CHARGE2ONE4XI - STARTED 300 DUMMY PROCESS4XI DUMMY300ONE: ", dummy300one)
                # STARTED THE DUMMY PROCESS4XI DUMMY300ONE:  <DummyProcess4Xi(Thread-5, started 4840)>
            
            ack2start = True
        except:
            print("(STEP 300F/33) OF CHARGE2ONE4XI *** FAILED TO START 300 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 300G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 300 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [400]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy400one = DummyProcess4Xi(target=fire400one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 400B/33) OF CHARGE2ONE4XI - CREATED 400 DUMMY_PROCESS4XI OBJECT DUMMY400ONE: ", dummy400one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 400C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 400 DUMMY_PROCESS4XI OBJECT DUMMY400ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 400D/33) OF CHARGE2ONE4XI - STARTING 400 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy400one.start() 
            if ack2debug is True:
                print("(STEP 400E/33) OF CHARGE2ONE4XI - STARTED 400 DUMMY PROCESS4XI DUMMY400ONE: ", dummy400one)
                # STARTED THE DUMMY PROCESS4XI DUMMY400ONE:  <DummyProcess4Xi(Thread-6, started 4468)>
            
            ack2start = True
        except:
            print("(STEP 400F/33) OF CHARGE2ONE4XI *** FAILED TO START 400 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 400G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 400 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [500]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy500one = DummyProcess4Xi(target=fire500one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 500B/33) OF CHARGE2ONE4XI - CREATED 500 DUMMY_PROCESS4XI OBJECT DUMMY500ONE: ", dummy500one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 500C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 500 DUMMY_PROCESS4XI OBJECT DUMMY500ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 500D/33) OF CHARGE2ONE4XI - STARTING 500 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy500one.start() 
            if ack2debug is True:
                print("(STEP 500E/33) OF CHARGE2ONE4XI - STARTED 500 DUMMY PROCESS4XI DUMMY500ONE: ", dummy500one)
                # STARTED THE DUMMY PROCESS4XI DUMMY500ONE:  <DummyProcess4Xi(Thread-7, started 4788)>
            
            ack2start = True
        except:
            print("(STEP 500F/33) OF CHARGE2ONE4XI *** FAILED TO START 500 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 500G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 500 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# =====  
# [600]
# ===== 
                
    # -----------------------------------------------------------------------------------------    
    # 600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy600one = DummyProcess4Xi(target=fire600one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 600B/33) OF CHARGE2ONE4XI - CREATED 600 DUMMY_PROCESS4XI OBJECT DUMMY600ONE: ", dummy600one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 600C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 600 DUMMY_PROCESS4XI OBJECT DUMMY600ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 600D/33) OF CHARGE2ONE4XI - STARTING 600 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy600one.start() 
            if ack2debug is True:
                print("(STEP 600E/33) OF CHARGE2ONE4XI - STARTED 600 DUMMY PROCESS4XI DUMMY600ONE: ", dummy600one)
                # STARTED THE DUMMY PROCESS4XI DUMMY600ONE:  <DummyProcess4Xi(Thread-8, started 4744)> 
            
            ack2start = True
        except:
            print("(STEP 600F/33) OF CHARGE2ONE4XI *** FAILED TO START 600 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 600G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 600 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [700]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy700one = DummyProcess4Xi(target=fire700one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 700B/33) OF CHARGE2ONE4XI - CREATED 700 DUMMY_PROCESS4XI OBJECT DUMMY700ONE: ", dummy700one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 700C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 700 DUMMY_PROCESS4XI OBJECT DUMMY700ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 700D/33) OF CHARGE2ONE4XI - STARTING 700 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy700one.start() 
            if ack2debug is True:
                print("(STEP 700E/33) OF CHARGE2ONE4XI - STARTED 700 DUMMY PROCESS4XI DUMMY700ONE: ", dummy700one)
                # STARTED THE DUMMY PROCESS4XI DUMMY700ONE:  <DummyProcess4Xi(Thread-9, started 3840)> 
            
            ack2start = True
        except:
            print("(STEP 700F/33) OF CHARGE2ONE4XI *** FAILED TO START 700 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 700G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 700 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [800]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy800one = DummyProcess4Xi(target=fire800one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 800B/33) OF CHARGE2ONE4XI - CREATED 800 DUMMY_PROCESS4XI OBJECT DUMMY800ONE: ", dummy800one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 800C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 800 DUMMY_PROCESS4XI OBJECT DUMMY800ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 800D/33) OF CHARGE2ONE4XI - STARTING 800 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy800one.start() 
            if ack2debug is True:
                print("(STEP 800E/33) OF CHARGE2ONE4XI - STARTED 800 DUMMY PROCESS4XI DUMMY800ONE: ", dummy800one)
                # STARTED THE DUMMY PROCESS4XI DUMMY800ONE:  <DummyProcess4Xi(Thread-10, started 4484)> 
            
            ack2start = True
        except:
            print("(STEP 800F/33) OF CHARGE2ONE4XI *** FAILED TO START 800 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 800G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 800 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [900]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy900one = DummyProcess4Xi(target=fire900one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 900B/33) OF CHARGE2ONE4XI - CREATED 900 DUMMY_PROCESS4XI OBJECT DUMMY900ONE: ", dummy900one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 900C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 900 DUMMY_PROCESS4XI OBJECT DUMMY900ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 900D/33) OF CHARGE2ONE4XI - STARTING 900 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy900one.start() 
            if ack2debug is True:
                print("(STEP 900E/33) OF CHARGE2ONE4XI - STARTED 900 DUMMY PROCESS4XI DUMMY900ONE: ", dummy900one)
                # STARTED THE DUMMY PROCESS4XI DUMMY900ONE:  <DummyProcess4Xi(Thread-11, started 4988)> 
            
            ack2start = True
        except:
            print("(STEP 900F/33) OF CHARGE2ONE4XI *** FAILED TO START 900 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 900G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 900 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False                              
        
# ======  
# [1000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 1000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1000one = DummyProcess4Xi(target=fire1000one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 1000B/33) OF CHARGE2ONE4XI - CREATED 1000 DUMMY_PROCESS4XI OBJECT DUMMY1000ONE: ", dummy1000one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1000C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 1000 DUMMY_PROCESS4XI OBJECT DUMMY1000ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1000D/33) OF CHARGE2ONE4XI - STARTING 1000 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1000one.start() 
            if ack2debug is True:
                print("(STEP 1000E/33) OF CHARGE2ONE4XI - STARTED 1000 DUMMY PROCESS4XI DUMMY1000ONE: ", dummy1000one)
                # STARTED THE DUMMY PROCESS4XI DUMMY1000ONE:  <DummyProcess4Xi(Thread-12, started 1548)> 
            
            ack2start = True
        except:
            print("(STEP 1000F/33) OF CHARGE2ONE4XI *** FAILED TO START 1000 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1000G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 1000 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1100]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1100one = DummyProcess4Xi(target=fire1100one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 1100B/33) OF CHARGE2ONE4XI - CREATED 1100 DUMMY_PROCESS4XI OBJECT DUMMY1100ONE: ", dummy1100one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1100C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 1100 DUMMY_PROCESS4XI OBJECT DUMMY1100ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1100D/33) OF CHARGE2ONE4XI - STARTING 1100 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1100one.start() 
            if ack2debug is True:
                print("(STEP 1100E/33) OF CHARGE2ONE4XI - STARTED 1100 DUMMY PROCESS4XI DUMMY1100ONE: ", dummy1100one)
                # STARTED THE DUMMY PROCESS4XI DUMMY1100ONE:  <DummyProcess4Xi(Thread-13, started 3172)> 
            
            ack2start = True
        except:
            print("(STEP 1100F/33) OF CHARGE2ONE4XI *** FAILED TO START 1100 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1100G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 1100 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1200]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1200one = DummyProcess4Xi(target=fire1200one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 1200B/33) OF CHARGE2ONE4XI - CREATED 1200 DUMMY_PROCESS4XI OBJECT DUMMY1200ONE: ", dummy1200one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1200C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 1200 DUMMY_PROCESS4XI OBJECT DUMMY1200ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1200D/33) OF CHARGE2ONE4XI - STARTING 1200 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1200one.start() 
            if ack2debug is True:
                print("(STEP 1200E/33) OF CHARGE2ONE4XI - STARTED 1200 DUMMY PROCESS4XI DUMMY1200ONE: ", dummy1200one)
                # STARTED THE DUMMY PROCESS4XI DUMMY1200ONE:  <DummyProcess4Xi(Thread-14, started 2396)> 
            
            ack2start = True
        except:
            print("(STEP 1200F/33) OF CHARGE2ONE4XI *** FAILED TO START 1200 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1200G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 1200 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1300]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1300one = DummyProcess4Xi(target=fire1300one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 1300B/33) OF CHARGE2ONE4XI - CREATED 1300 DUMMY_PROCESS4XI OBJECT DUMMY1300ONE: ", dummy1300one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1300C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 1300 DUMMY_PROCESS4XI OBJECT DUMMY1300ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1300D/33) OF CHARGE2ONE4XI - STARTING 1300 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1300one.start() 
            if ack2debug is True:
                print("(STEP 1300E/33) OF CHARGE2ONE4XI - STARTED 1300 DUMMY PROCESS4XI DUMMY1300ONE: ", dummy1300one)
                # STARTED THE DUMMY PROCESS4XI DUMMY1300ONE:  <DummyProcess4Xi(Thread-15, started 1680)> 
            
            ack2start = True
        except:
            print("(STEP 1300F/33) OF CHARGE2ONE4XI *** FAILED TO START 1300 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1300G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 1300 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# ======  
# [1400]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1400one = DummyProcess4Xi(target=fire1400one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 1400B/33) OF CHARGE2ONE4XI - CREATED 1400 DUMMY_PROCESS4XI OBJECT DUMMY1400ONE: ", dummy1400one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1400C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 1400 DUMMY_PROCESS4XI OBJECT DUMMY1400ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 1400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1400D/33) OF CHARGE2ONE4XI - STARTING 1400 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1400one.start() 
            if ack2debug is True:
                print("(STEP 1400E/33) OF CHARGE2ONE4XI - STARTED 1400 DUMMY PROCESS4XI DUMMY1400ONE: ", dummy1400one)
                # STARTED THE DUMMY PROCESS4XI DUMMY1400ONE:  <DummyProcess4Xi(Thread-16, started 2868)> 
            
            ack2start = True
        except:
            print("(STEP 1400F/33) OF CHARGE2ONE4XI *** FAILED TO START 1400 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1400G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 1400 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [1500]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1500one = DummyProcess4Xi(target=fire1500one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 1500B/33) OF CHARGE2ONE4XI - CREATED  DUMMY_PROCESS4XI OBJECT DUMMY1500ONE: ", dummy1500one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1500C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 1500 DUMMY_PROCESS4XI OBJECT DUMMY1500ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 1500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1500D/33) OF CHARGE2ONE4XI - STARTING 1500 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1500one.start() 
            if ack2debug is True:
                print("(STEP 1500E/33) OF CHARGE2ONE4XI - STARTED 1500 DUMMY PROCESS4XI DUMMY1500ONE: ", dummy1500one)
                # STARTED THE DUMMY PROCESS4XI DUMMY1500ONE:  <DummyProcess4Xi(Thread-17, started 3456)>
            
            ack2start = True
        except:
            print("(STEP 1500F/33) OF CHARGE2ONE4XI *** FAILED TO START 1500 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1500G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 1500 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [1600]
# ====== 
                       
    # -----------------------------------------------------------------------------------------    
    # 1600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1600one = DummyProcess4Xi(target=fire1600one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 1600B/33) OF CHARGE2ONE4XI - CREATED 1600 DUMMY_PROCESS4XI OBJECT DUMMY1600ONE: ", dummy1600one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1600C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 1600 DUMMY_PROCESS4XI OBJECT DUMMY1600ONE ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1600D/33) OF CHARGE2ONE4XI - STARTING 1600 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1600one.start() 
            if ack2debug is True:
                print("(STEP 1600E/33) OF CHARGE2ONE4XI - STARTED 1600 DUMMY PROCESS4XI DUMMY1600ONE: ", dummy1600one)
                # STARTED THE DUMMY PROCESS4XI DUMMY1600ONE:  <DummyProcess4Xi(Thread-18, started 2616)>
            
            ack2start = True
        except:
            print("(STEP 1600F/33) OF CHARGE2ONE4XI *** FAILED TO START 1600 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1600G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 1600 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     

        
# ======  
# [1700]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 1700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1700one = DummyProcess4Xi(target=fire1700one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 1700B/33) OF CHARGE2ONE4XI - CREATED 1700 DUMMY_PROCESS4XI OBJECT DUMMY1700ONE: ", dummy1700one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1700C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 1700 DUMMY_PROCESS4XI OBJECT DUMMY1700ONE ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1700D/33) OF CHARGE2ONE4XI - STARTING 1700 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1700one.start() 
            if ack2debug is True:
                print("(STEP 1700E/33) OF CHARGE2ONE4XI - STARTED 1700 DUMMY PROCESS4XI DUMMY1700ONE: ", dummy1700one)
                # STARTED THE DUMMY PROCESS4XI DUMMY1700ONE:  <DummyProcess4Xi(Thread-19, started 3148)> 
            
            ack2start = True
        except:
            print("(STEP 1700F/33) OF CHARGE2ONE4XI *** FAILED TO START 1700 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1700G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 1700 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False             
        
# ======  
# [1800]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 1800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1800one = DummyProcess4Xi(target=fire1800one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 1800B/33) OF CHARGE2ONE4XI - CREATED  DUMMY_PROCESS4XI OBJECT DUMMY1800ONE: ", dummy1800one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1800C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 1800 DUMMY_PROCESS4XI OBJECT DUMMY1800ONE ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1800D/33) OF CHARGE2ONE4XI - STARTING 1800 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1800one.start() 
            if ack2debug is True:
                print("(STEP 1800E/33) OF CHARGE2ONE4XI - STARTED 1800 DUMMY PROCESS4XI DUMMY1800ONE: ", dummy1800one)
                # STARTED THE DUMMY PROCESS4XI DUMMY1800ONE:  <DummyProcess4Xi(Thread-20, started 4836)> 
            
            ack2start = True
        except:
            print("(STEP 1800F/33) OF CHARGE2ONE4XI *** FAILED TO START 1800 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1800G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 1800 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False   
        
        
# ======  
# [1900]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 1900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1900one = DummyProcess4Xi(target=fire1900one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 1900B/33) OF CHARGE2ONE4XI - CREATED 1900 DUMMY_PROCESS4XI OBJECT DUMMY1900ONE: ", dummy1900one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1900C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 1900 DUMMY_PROCESS4XI OBJECT DUMMY1900ONE ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1900D/33) OF CHARGE2ONE4XI - STARTING 1900 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1900one.start() 
            if ack2debug is True:
                print("(STEP 1900E/33) OF CHARGE2ONE4XI - STARTED 1900 DUMMY PROCESS4XI DUMMY1900ONE: ", dummy1900one)
                # STARTED THE DUMMY PROCESS4XI DUMMY1900ONE:  <DummyProcess4Xi(Thread-21, started 2064)> 
            
            ack2start = True
        except:
            print("(STEP 1900F/33) OF CHARGE2ONE4XI *** FAILED TO START 1900 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1900G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 1900 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False             

    
        
# ======  
# [2000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2000one = DummyProcess4Xi(target=fire2000one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 2000B/33) OF CHARGE2ONE4XI - CREATED 2000 DUMMY_PROCESS4XI OBJECT DUMMY2000ONE: ", dummy2000one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2000C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 2000 DUMMY_PROCESS4XI OBJECT DUMMY2000ONE ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 2000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2000D/33) OF CHARGE2ONE4XI - STARTING 2000 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2000one.start() 
            if ack2debug is True:
                print("(STEP 2000E/33) OF CHARGE2ONE4XI - STARTED 2000 DUMMY PROCESS4XI DUMMY2000ONE: ", dummy2000one)
                # STARTED THE DUMMY PROCESS4XI DUMMY2000ONE:  <DummyProcess4Xi(Thread-22, started 2876)> 
            
            ack2start = True
        except:
            print("(STEP 2000F/33) OF CHARGE2ONE4XI *** FAILED TO START 2000 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2000G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 2000 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2100]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 2100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2100one = DummyProcess4Xi(target=fire2100one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 2100B/33) OF CHARGE2ONE4XI - CREATED 2100 DUMMY_PROCESS4XI OBJECT DUMMY2100ONE: ", dummy2100one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2100C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 2100 DUMMY_PROCESS4XI OBJECT DUMMY2100ONE ***")
        ack2dummy = False
                 
    # -----------------------------------------------------------------------------------------    
    # 2100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2100D/33) OF CHARGE2ONE4XI - STARTING 2100 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2100one.start() 
            if ack2debug is True:
                print("(STEP 2100E/33) OF CHARGE2ONE4XI - STARTED 2100 DUMMY PROCESS4XI DUMMY2100ONE: ", dummy2100one)
                # STARTED THE DUMMY PROCESS4XI DUMMY2100ONE:  <DummyProcess4Xi(Thread-23, started 4888)> 
            
            ack2start = True
        except:
            print("(STEP 2100F/33) OF CHARGE2ONE4XI *** FAILED TO START 2100 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2100G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 2100 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2200]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2200one = DummyProcess4Xi(target=fire2200one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 2200B/33) OF CHARGE2ONE4XI - CREATED 2200 DUMMY_PROCESS4XI OBJECT DUMMY2200ONE: ", dummy2200one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2200C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 2200 DUMMY_PROCESS4XI OBJECT DUMMY2200ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2200D/33) OF CHARGE2ONE4XI - STARTING 2200 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2200one.start() 
            if ack2debug is True:
                print("(STEP 2200E/33) OF CHARGE2ONE4XI - STARTED 2200 DUMMY PROCESS4XI DUMMY2200ONE: ", dummy2200one)
                # STARTED THE DUMMY PROCESS4XI DUMMY2200ONE:  <DummyProcess4Xi(Thread-24, started 4804)> 
            
            ack2start = True
        except:
            print("(STEP 2200F/33) OF CHARGE2ONE4XI *** FAILED TO START 2200 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2200G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 2200 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2300]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2300one = DummyProcess4Xi(target=fire2300one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 2300B/33) OF CHARGE2ONE4XI - CREATED 2300 DUMMY_PROCESS4XI OBJECT DUMMY2300ONE: ", dummy2300one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2300C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 2300 DUMMY_PROCESS4XI OBJECT DUMMY2300ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2300D/33) OF CHARGE2ONE4XI - STARTING 2300 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2300one.start() 
            if ack2debug is True:
                print("(STEP 2300E/33) OF CHARGE2ONE4XI - STARTED 2300 DUMMY PROCESS4XI DUMMY2300ONE: ", dummy2300one)
                # STARTED THE DUMMY PROCESS4XI DUMMY2300ONE:  <DummyProcess4Xi(Thread-25, started 3784)> 
            
            ack2start = True
        except:
            print("(STEP 2300F/33) OF CHARGE2ONE4XI *** FAILED TO START 2300 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2300G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 2300 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2400]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2400one = DummyProcess4Xi(target=fire2400one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 2400B/33) OF CHARGE2ONE4XI - CREATED 2400 DUMMY_PROCESS4XI OBJECT DUMMY2400ONE: ", dummy2400one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2400C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 2400 DUMMY_PROCESS4XI OBJECT DUMMY2400ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2400D/33) OF CHARGE2ONE4XI - STARTING 2400 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2400one.start() 
            if ack2debug is True:
                print("(STEP 2400E/33) OF CHARGE2ONE4XI - STARTED 2400 DUMMY PROCESS4XI DUMMY2400ONE: ", dummy2400one)
                # STARTED THE DUMMY PROCESS4XI DUMMY2400ONE:  <DummyProcess4Xi(Thread-26, started 836)> 
            
            ack2start = True
        except:
            print("(STEP 2400F/33) OF CHARGE2ONE4XI *** FAILED TO START 2400 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2400G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 2400 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
                                                                            
         
# ======  
# [2500]
# ====== 
       
    # -----------------------------------------------------------------------------------------    
    # 2500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2500one = DummyProcess4Xi(target=fire2500one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 2500B/33) OF CHARGE2ONE4XI - CREATED 2500 DUMMY_PROCESS4XI OBJECT DUMMY2500ONE: ", dummy2500one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2500C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 2500 DUMMY_PROCESS4XI OBJECT DUMMY2500ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2500D/33) OF CHARGE2ONE4XI - STARTING 2500 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2500one.start() 
            if ack2debug is True:
                print("(STEP 2500E/33) OF CHARGE2ONE4XI - STARTED 2500 DUMMY PROCESS4XI DUMMY2500ONE: ", dummy2500one)
                # STARTED THE DUMMY PROCESS4XI DUMMY2500ONE:  <DummyProcess4Xi(Thread-27, started 5004)> 
            
            ack2start = True
        except:
            print("(STEP 2500F/33) OF CHARGE2ONE4XI *** FAILED TO START 2500 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2500G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 2500 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2600]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2600one = DummyProcess4Xi(target=fire2600one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 2600B/33) OF CHARGE2ONE4XI - CREATED 2600 DUMMY_PROCESS4XI OBJECT DUMMY2600ONE: ", dummy2600one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2600C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 2600 DUMMY_PROCESS4XI OBJECT DUMMY2600ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2600D/33) OF CHARGE2ONE4XI - STARTING 2600 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2600one.start() 
            if ack2debug is True:
                print("(STEP 2600E/33) OF CHARGE2ONE4XI - STARTED 2600 DUMMY PROCESS4XI DUMMY2600ONE: ", dummy2600one)
                # STARTED THE DUMMY PROCESS4XI DUMMY2600ONE:  <DummyProcess4Xi(Thread-28, started 2964)> 
            
            ack2start = True
        except:
            print("(STEP 2600F/33) OF CHARGE2ONE4XI *** FAILED TO START 2600 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2600G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 2600 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2700]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2700one = DummyProcess4Xi(target=fire2700one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 2700B/33) OF CHARGE2ONE4XI - CREATED 2700 DUMMY_PROCESS4XI OBJECT DUMMY2700ONE: ", dummy2700one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2700C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 2700 DUMMY_PROCESS4XI OBJECT DUMMY2700ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2700D/33) OF CHARGE2ONE4XI - STARTING 2700 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2700one.start() 
            if ack2debug is True:
                print("(STEP 2700E/33) OF CHARGE2ONE4XI - STARTED 2700 DUMMY PROCESS4XI DUMMY2700ONE: ", dummy2700one)
                # STARTED THE DUMMY PROCESS4XI DUMMY2700ONE:  <DummyProcess4Xi(Thread-29, started 2264)> 
            
            ack2start = True
        except:
            print("(STEP 2700F/33) OF CHARGE2ONE4XI *** FAILED TO START 2700 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2700G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 2700 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2800]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2800one = DummyProcess4Xi(target=fire2800one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 2800B/33) OF CHARGE2ONE4XI - CREATED 2800 DUMMY_PROCESS4XI OBJECT DUMMY2800ONE: ", dummy2800one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2800C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 2800 DUMMY_PROCESS4XI OBJECT DUMMY2800ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2800D/33) OF CHARGE2ONE4XI - STARTING 2800 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2800one.start() 
            if ack2debug is True:
                print("(STEP 2800E/33) OF CHARGE2ONE4XI - STARTED 2800 DUMMY PROCESS4XI DUMMY2800ONE: ", dummy2800one)
                # STARTED THE DUMMY PROCESS4XI DUMMY2800ONE:  <DummyProcess4Xi(Thread-30, started 2644)> 
            
            ack2start = True
        except:
            print("(STEP 2800F/33) OF CHARGE2ONE4XI *** FAILED TO START 2800 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2800G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 2800 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2900]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2900one = DummyProcess4Xi(target=fire2900one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 2900B/33) OF CHARGE2ONE4XI - CREATED 2900 DUMMY_PROCESS4XI OBJECT DUMMY2900ONE: ", dummy2900one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2900C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 2900 DUMMY_PROCESS4XI OBJECT DUMMY2900ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2900D/33) OF CHARGE2ONE4XI - STARTING 2900 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2900one.start() 
            if ack2debug is True:
                print("(STEP 2900E/33) OF CHARGE2ONE4XI - STARTED 2900 DUMMY PROCESS4XI DUMMY2900ONE: ", dummy2900one)
                # STARTED THE DUMMY PROCESS4XI DUMMY2900ONE:  <DummyProcess4Xi(Thread-31, started 2872)> 
            
            ack2start = True
        except:
            print("(STEP 2900F/33) OF CHARGE2ONE4XI *** FAILED TO START 2900 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2900G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 2900 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 3000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3000one = DummyProcess4Xi(target=fire3000one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 3000B/33) OF CHARGE2ONE4XI - CREATED 3000 DUMMY_PROCESS4XI OBJECT DUMMY3000ONE: ", dummy3000one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3000C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 3000 DUMMY_PROCESS4XI OBJECT DUMMY3000ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3000D/33) OF CHARGE2ONE4XI - STARTING 3000 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3000one.start() 
            if ack2debug is True:
                print("(STEP 3000E/33) OF CHARGE2ONE4XI - STARTED 3000 DUMMY PROCESS4XI DUMMY3000ONE: ", dummy3000one)
                # STARTED THE DUMMY PROCESS4XI DUMMY3000ONE:  <DummyProcess4Xi(Thread-32, started 4444)> 
            
            ack2start = True
        except:
            print("(STEP 3000F/33) OF CHARGE2ONE4XI *** FAILED TO START 3000 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3000G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 3000 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3100]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3100one = DummyProcess4Xi(target=fire3100one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 3100B/33) OF CHARGE2ONE4XI - CREATED 3100 DUMMY_PROCESS4XI OBJECT DUMMY3100ONE: ", dummy3100one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3100C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 3100 DUMMY_PROCESS4XI OBJECT DUMMY3100ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3100D/33) OF CHARGE2ONE4XI - STARTING 3100 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3100one.start() 
            if ack2debug is True:
                print("(STEP 3100E/33) OF CHARGE2ONE4XI - STARTED 3100 DUMMY PROCESS4XI DUMMY3100ONE: ", dummy3100one)
                # STARTED THE DUMMY PROCESS4XI DUMMY3100ONE:  <DummyProcess4Xi(Thread-33, started 3620)> 
            
            ack2start = True
        except:
            print("(STEP 3100F/33) OF CHARGE2ONE4XI *** FAILED TO START 3100 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3100G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 3100 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3200]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3200one = DummyProcess4Xi(target=fire3200one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 3200B/33) OF CHARGE2ONE4XI - CREATED 3200 DUMMY_PROCESS4XI OBJECT DUMMY3200ONE: ", dummy3200one)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3200C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 3200 DUMMY_PROCESS4XI OBJECT DUMMY3200ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3200D/33) OF CHARGE2ONE4XI - STARTING 3200 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3200one.start() 
            if ack2debug is True:
                print("(STEP 3200E/33) OF CHARGE2ONE4XI - STARTED 3200 DUMMY PROCESS4XI DUMMY3200ONE: ", dummy3200one)
                # STARTED THE DUMMY PROCESS4XI DUMMY3200ONE:  <DummyProcess4Xi(Thread-34, started 5068)> 
            
            ack2start = True
        except:
            print("(STEP 3200F/33) OF CHARGE2ONE4XI *** FAILED TO START 3200 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3200G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 3200 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3300]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3300one = DummyProcess4Xi(target=fire3300one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one))
        if ack2debug is True:
            print("(STEP 3300B/33) OF CHARGE2ONE4XI - CREATED 3300 DUMMY_PROCESS4XI OBJECT DUMMY3300ONE: ", dummy3300one)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY3300ONE:  <DummyProcess4Xi(Thread-35, initial)> 
        
        ack2dummy = True
    except:
        print("(STEP 3300C/33) OF CHARGE2ONE4XI *** FAILED TO CREATE 3300 DUMMY_PROCESS4XI OBJECT DUMMY3300ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3300D/33) OF CHARGE2ONE4XI - STARTING 3300 DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3300one.start() 
            if ack2debug is True:
                print("(STEP 3300E/33) OF CHARGE2ONE4XI - STARTED 3300 DUMMY PROCESS4XI DUMMY3300ONE: ", dummy3300one)
                # STARTED THE DUMMY PROCESS4XI DUMMY3300ONE:  <DummyProcess4Xi(Thread-35, started 4728)> 
            
            ack2start = True
        except:
            print("(STEP 3300F/33) OF CHARGE2ONE4XI *** FAILED TO START 3300 DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3300G/33) OF CHARGE2ONE4XI ** YIELDED STARTING 3300 DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
                                                                                                                                                                                                                
    # ---------------------------------------------------------------------------------------------    
    # RETURN
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print('=' *33)
        print("(STEP 33/33) OF CHARGE2ONE4XI - RETURNING TIME: ", time4xi())
        print('=' *33)
        # 09:45:37 01/24/13 Pacific Standard Time
    
    
        
#</function4xi>
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of charge2one4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
